#include "pfodSMS_rawOutput.h"
/**

 (c)2012 Forward Computing and Control Pty. Ltd.
 This code may be freely used for both private and commerical use.
 Provide this copyright is maintained.
 */

void pfodSMS_rawOutput::set_pfodSMS( pfodSMS* arg) {
	_pfodSMS = arg;
}	

size_t pfodSMS_rawOutput::write(uint8_t c)  {
	return _pfodSMS->writeRawData(c);
};

/* default implementation: may be overridden */
size_t pfodSMS_rawOutput::write(const uint8_t *buffer, size_t size)
{
  size_t n = 0;
  while (size--) {
    n += write(*buffer++);
  }
  return n;
}

